'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.get = get;
exports.create = create;
exports.update = update;
function get(db, name, request, response, next) {
    response.locals.data = db.get(name).value();
    next();
}

function create(db, name, request, response, next) {
    db.set(name, request.body).value();
    response.locals.data = db.get(name).value();
    response.status(201);
    next();
}

function update(db, name, request, response, next) {
    if (request.method === 'PUT') {
        db.set(name, request.body).value();
    } else {
        db.get(name).assign(request.body).value();
    }

    response.locals.data = db.get(name).value();
    next();
}