'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.factory = factory;

var _lowdb = require('lowdb');

var _lowdb2 = _interopRequireDefault(_lowdb);

var _underscoreDb = require('underscore-db');

var _underscoreDb2 = _interopRequireDefault(_underscoreDb);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function factory(source) {
    if (!_lodash2.default.isString(source)) {
        throw new Error('store文件路径必须是字符串');
    }

    let db = (0, _lowdb2.default)(source);
    db._.mixin(_underscoreDb2.default);
    return db;
}