'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.generator = undefined;

var _jsonSchemaFaker = require('json-schema-faker');

var _jsonSchemaFaker2 = _interopRequireDefault(_jsonSchemaFaker);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Generator {
    create(schema) {
        let number = arguments.length <= 1 || arguments[1] === undefined ? 1 : arguments[1];

        if (!schema) {
            throw new Error('无指定schema');
        }

        if (number < 1) {
            throw new Error('生成实例数目不能少于1');
        }

        return _lodash2.default.range(1, number).map(() => (0, _jsonSchemaFaker2.default)(schema));
    }
}

const generator = exports.generator = new Generator();